Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1021)

Unified Diff: buildbot/buildbot_pnacl2.sh

Issue 6665045: Added new config for pnacl2 bot to test spec 2k in train mode for all platfor... (Closed) Base URL: svn://svn.chromium.org/native_client/trunk/src/native_client/
Patch Set: '' Created 9 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | buildbot/buildbot_selector.py » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: buildbot/buildbot_pnacl2.sh
===================================================================
--- buildbot/buildbot_pnacl2.sh (revision 0)
+++ buildbot/buildbot_pnacl2.sh (revision 0)
@@ -0,0 +1,62 @@
+#!/bin/bash
+
+# Script assumed to be run in native_client/
+if [[ $(pwd) != */native_client ]]; then
+ echo "ERROR: must be run in native_client!"
+ exit 1
+fi
+
+set -x
+set -e
+set -u
+
+
+SCONS_COMMON="./scons --mode=opt-linux --verbose bitcode=1 -j8 -k"
+SPEC_HARNESS=${SPEC_HARNESS:-/home/chrome-bot/cpu2000-redhat64-ia32}
+SETUPS="SetupPnaclArmOpt SetupPnaclX8632Opt SetupPnaclX8664Opt SetupPnaclTranslatorX8632Opt"
+
+# Rought test running time classification for ARM which is our bottleneck
jvoung - send to chromium... 2011/03/16 22:28:30 s/Rought/Rough/
+FAST_ARM="176.gcc 179.art 181.mcf 186.crafty 197.parser 254.gap 255.vortex 300.twolf"
+MEDIUM_ARM="164.gzip 175.vpr 252.eon 256.bzip2"
+SLOW_ARM="177.mesa 183.equake 188.ammp 253.perlbmk"
+
+# TODO(robertm): consider increasing coverage
+TEST_TO_BUILD="${FAST_ARM} 252.eon"
+TEST_TO_RUN="${FAST_ARM} 252.eon"
+
+echo @@@BUILD_STEP clobber@@@
+rm -rf scons-out toolchain compiler hg ../xcodebuild ../sconsbuild ../out \
+ src/third_party/nacl_sdk/arm-newlib
+
+echo @@@BUILD_STEP gclient_runhooks@@@
+gclient runhooks --force
+
+for platform in arm x86-32 x86-64 ; do
+ echo @@@BUILD_STEP scons sel_ldr [${platform}]@@@
+ ${SCONS_COMMON} platform=${platform} sel_ldr sel_universal
+done
+
+cd tests/spec2k/
+
+
+
+for setup in ${SETUPS}; do
+ echo @@@BUILD_STEP spec2k build [${setup}] [train]@@@
+ ./run_all.sh CleanBenchmarks
+ ./run_all.sh PopulateFromSpecHarness ${SPEC_HARNESS}
+ ./run_all.sh BuildBenchmarks 0 ${setup} ${TEST_TO_BUILD}
+
+ echo @@@BUILD_STEP spec2k run [${setup}] [train]@@@
+ case ${setup} in
+ SetupPnaclArmOpt)
+ # we expect arm to diverge
+ ./run_all.sh RunBenchmarks ${setup} train ${TEST_TO_RUN}
+ ;;
+ SetupPnaclTranslatorX8632Opt)
+ ./run_all.sh RunBenchmarks ${setup} train 176.gcc
+ ;;
+ *)
+ ./run_all.sh RunBenchmarks ${setup} ${TEST_TO_RUN}
+ ;;
+ esac
+done
Property changes on: buildbot/buildbot_pnacl2.sh
___________________________________________________________________
Added: svn:executable
+ *
« no previous file with comments | « no previous file | buildbot/buildbot_selector.py » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698